felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Holger Hoffstätte (JIRA) <j...@apache.org>
Subject [jira] Commented: (FELIX-2003) maven-bundle-plugin 2.0.1 uses bnd 0.0.357 for which a bugfix is available
Date Tue, 09 Feb 2010 17:09:27 GMT

    [ https://issues.apache.org/jira/browse/FELIX-2003?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12831542#action_12831542
] 

Holger Hoffstätte commented on FELIX-2003:
------------------------------------------

The bnd repo is already at http://www.aqute.biz/repo - you can add this to your repository
manager and it will work. Unfortunately what won't work is then plugging bnd into the maven-bundle-plugin
(at least  not the latest version), since it will die with a NoSuchMethodError..
So you need to experiment which version will still work, or update the maven plugin source.


> maven-bundle-plugin 2.0.1 uses bnd 0.0.357 for which a bugfix is available
> --------------------------------------------------------------------------
>
>                 Key: FELIX-2003
>                 URL: https://issues.apache.org/jira/browse/FELIX-2003
>             Project: Felix
>          Issue Type: Bug
>          Components: Maven Bundle Plugin
>    Affects Versions: maven-bundle-plugin-2.0.1
>         Environment: All OS, Mac, PC, Java 1.6.0_17
>            Reporter: Georg Gruetter
>
> BND 0.0.357 contains a bug with respect to locating OSGi service components. Peter Kriens
has already fixed this bug in October 2009 and published BND 0.0.366. However, the maven-bundle-plugin
still uses version 0.0.357 which causes our builds to fail. A 2.0.2 version of the maven bundle
plugin with an updated dependency to the bnd library would be highly helpful. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message